Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.scxml.model
Class CustomAction

    java.lang.Object
      org.apache.commons.scxml.model.CustomAction

public class CustomAction
extends Object

A custom action is simply a tuple consisting of a namespace URI, the local name for the custom action and the corresponding `Action` class.

Constructor Summary
`CustomAction(String namespaceURI, String localName, Class actionClass)` Constructor, if the namespace or local name is null or empty, or if the implementation is not an `Action`, an `IllegalArgumentException` is thrown.

Method Summary
`Class` | `getActionClass()` Get this custom action's implementation.
`String` | `getLocalName()` Get the local name for this custom action.
`String` | `getNamespaceURI()` Get the namespace URI for this custom action.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomAction

    public CustomAction(String namespaceURI,
                        String localName,
                        Class actionClass)

  Constructor, if the namespace or local name is null or empty, or if the implementation is not an `Action`, an `IllegalArgumentException` is thrown.

Parameters:
  `namespaceURI` - The namespace URI for this custom action.
  `localName` - The local name for this custom action.
  `actionClass` - The `Action` subclass implementing this custom action.

Method Detail

### getActionClass

    public Class getActionClass()

  Get this custom action's implementation.

  Returns:
    Returns the action class.

### getLocalName

    public String getLocalName()

  Get the local name for this custom action.

  Returns:
    Returns the local name.

### getNamespaceURI

    public String getNamespaceURI()

  Get the namespace URI for this custom action.

  Returns:
    Returns the namespace URI.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 The Apache Software Foundation. All Rights Reserved.